Bug 1273958 - [RFE] Please add a unique CSS ID to container images in the All Containers page
[RFE] Please add a unique CSS ID to container images in the All Containers page
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
6.0.4
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.5
: --
Assigned To: Og Maciel
Oleksandr Shtaier
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 11:09 EDT by Mike McCune
Modified: 2017-02-23 14:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:13:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12141 None None None 2016-04-22 12:30 EDT

  None (edit)
Description Mike McCune 2015-10-21 11:09:56 EDT
Our automation for Docker creation using the web ui needs an easy way to confirm that a given container has been created and can be found in the All Containers page. Assuming that one creates a new container with the name "ThisIsATest" or "thisisanothertest", the web ui uses a 'friendlier' name to display the container names so that the end result would be a label that shows their names as "This Is A Test" or "Thisisanothertest". The underlying HTML generated shows:

<pre>
<td class="ellipsis text-center sorting_1">This Is A Test</td>
</pre>

My request is that we also add a unique ID that would display the exact name as it was provided during the creation of the container as shown below:

<pre>
<td id="ThisIsATest" class="ellipsis text-center sorting_1">This Is A Test</td>
</pre>

By providing us with a unique ID we can easily find the containers in the web ui.
Comment 1 Mike McCune 2015-10-21 11:09:59 EDT
Created from redmine issue http://projects.theforeman.org/issues/12141
Comment 4 Oleksandr Shtaier 2015-11-30 13:56:26 EST
Verified on 6.1.4

Functionality works as expected and unique id is added per each container on 'All Containers' page corresponding to name that was used in time of such container create procedure.

Some test automation scripts that requiring that ID started to work as intended.

We have next transformation on UI (which is expected behavior):
(Real Name) "Test-test1-Test" -> (On UI) "Test Test1 Test" -> (ID) "Test-test1-Test"

(Real Name) "Test_test1_Test" -> (On UI) "Test Test1 Test" -> (ID) "Test_test1_Test"

(Real Name) "testTesttest1Test1" -> (On UI) "Test Testtest1 Test1" -> (ID) "testTesttest1Test1"
Comment 5 Bryan Kearney 2015-12-15 08:13:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.